=== modified file 'drizzled/alter_column.h'
--- drizzled/alter_column.h	2011-03-28 21:07:04 +0000
+++ drizzled/alter_column.h	2011-06-26 16:37:38 +0000
@@ -32,15 +32,6 @@
     name(par_name),
     def(literal)
   {}
-  
-  /**
-    Used to make a clone of this object for ALTER/CREATE TABLE
-    @sa comment for Key_part_spec::clone
-  */
-  AlterColumn *clone(memory::Root *mem_root) const
-  {
-    return new (mem_root) AlterColumn(*this);
-  }
 };
 
 } /* namespace drizzled */

=== modified file 'drizzled/create_field.h'
--- drizzled/create_field.h	2011-06-24 14:31:26 +0000
+++ drizzled/create_field.h	2011-06-26 16:37:38 +0000
@@ -69,9 +69,6 @@
 
   CreateField() :after(0) {}
   CreateField(Field *field, Field *orig_field);
-  /* Used to make a clone of this object for ALTER/CREATE TABLE */
-  CreateField *clone(memory::Root& mem_root) const
-    { return new (mem_root) CreateField(*this); }
   void create_length_to_internal_length(void);
 
   inline enum column_format_type column_format() const

=== modified file 'drizzled/key_part_spec.h'
--- drizzled/key_part_spec.h	2011-03-28 21:47:10 +0000
+++ drizzled/key_part_spec.h	2011-06-26 16:37:38 +0000
@@ -47,7 +47,7 @@
   */
   Key_part_spec *clone(memory::Root *mem_root) const
   {
-    return new (mem_root) Key_part_spec(*this);
+    return new (*mem_root) Key_part_spec(*this);
   }
 };
 

=== modified file 'drizzled/memory/sql_alloc.h'
--- drizzled/memory/sql_alloc.h	2011-06-22 22:23:29 +0000
+++ drizzled/memory/sql_alloc.h	2011-06-26 16:37:38 +0000
@@ -34,44 +34,59 @@
 class DRIZZLED_API SqlAlloc
 {
 public:
-  static void *operator new(size_t size)
-  {
-    return memory::sql_alloc(size);
-  }
-
-  static void *operator new[](size_t size)
-  {
-    return memory::sql_alloc(size);
-  }
-
-  static void *operator new[](size_t size, Root& root)
-  {
-    return root.alloc(size);
-  }
-
-  static void *operator new(size_t size, Root& root)
-  {
-    return root.alloc(size);
-  }
-
-  static void *operator new[](size_t size, Root* root)
-  {
-    return root->alloc(size);
-  }
-
-  static void *operator new(size_t size, Root* root)
-  {
-    return root->alloc(size);
-  }
-
-  static void operator delete(void*, size_t)
-  {  }
+  static void* operator new(size_t size)
+  {
+    return memory::sql_alloc(size);
+  }
+
+  static void* operator new[](size_t size)
+  {
+    return memory::sql_alloc(size);
+  }
+
+  static void* operator new(size_t size, Root& root)
+  {
+    return root.alloc(size);
+  }
+
+  static void* operator new[](size_t size, Root& root)
+  {
+    return root.alloc(size);
+  }
+
+  static void* operator new(size_t size, Root* root)
+  {
+    return root->alloc(size);
+  }
+
+  static void* operator new[](size_t size, Root* root)
+  {
+    return root->alloc(size);
+  }
+
+  static void operator delete(void*)
+  {  
+  }
+
+  static void operator delete[](void*)
+  {  
+  }
+
+  static void operator delete(void*, Root&)
+  {  
+  }
+
+  static void operator delete[](void*, Root&)
+  {  
+  }
+
   static void operator delete(void*, Root*)
-  {  }
+  {  
+  }
+
   static void operator delete[](void*, Root*)
-  {  }
-  static void operator delete[](void*, size_t)
-  {  }
+  {  
+  }
 };
 
 }

